=== debian/changelog ===
porechop (0.2.4+dfsg-4) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.1 (no change)
  * Solving the error during clean phase linked to setuptools--distutils
    (Closes: #1021837)
  * Fixing d/watch after a change in Github layout

 -- Pierre Gruet <pgt@debian.org>  Tue, 18 Oct 2022 10:56:47 +0200

porechop (0.2.4+dfsg-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 08:29:28 +0200

porechop (0.2.4+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Mark autopkgtest superficial

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 13:27:22 +0100

porechop (0.2.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Oct 2018 13:53:48 +0200

porechop (0.2.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS in the clean target.  Closes: #909761

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 28 Sep 2018 12:11:40 +0200

porechop (0.2.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Properly use the dh_python3 options to override its behaviour, instead
    of being clever with it.
  * Build only for the default Python3 version.
    The software can't cope with being placed in odd places, so can't use
    the multiple python version support that Debian has.
  * Build the package using pybuild.
    + Move all the files to the usual location for Python3 software.
    + Install the entry point directly in /usr/bin instead of symlinking.
    + Explicitly disable the tests (that before weren't even tried).
  * Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 11:49:55 +0200

porechop (0.2.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #890112)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Aug 2018 10:53:28 +0200
