=== debian/control ===
Source: porechop
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Cédric Lood <cedric.lood@kuleuven.be>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libseqan2-dev,
               python3-dev,
               python3-setuptools
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/porechop
Vcs-Git: https://salsa.debian.org/med-team/porechop.git
Homepage: https://rrwick.github.io/Porechop

Package: porechop
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: adapter trimmer for Oxford Nanopore reads
 Porechop is a tool for finding and removing adapters from Oxford
 Nanopore reads. Adapters on the ends of reads are trimmed off, and
 when a read has an adapter in its middle, it is treated as chimeric
 and chopped into separate reads. Porechop performs thorough
 alignments to effectively find adapters, even at low sequence
 identity.
 Porechop also supports demultiplexing of Nanopore reads that were
 barcoded with the Native Barcoding Kit, PCR Barcoding Kit or Rapid
 Barcoding Kit.
