=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# FIXME - never enabled, tests fail, to be investigated
export PYBUILD_DISABLE=test

# Workaround for https://github.com/pypa/setuptools/issues/2355, which is
# apparently a bug in setuptools that makes the clean phase fail. This
# export should be removed later...
export SETUPTOOLS_USE_DISTUTILS="stdlib"

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_install:
	dh_install
	mv -v debian/porechop/usr/bin/porechop-runner.py debian/porechop/usr/bin/porechop
